Skip to main content
GET
/
payments
/
{orderReference}
cURL
curl --request GET \
  --url https://api.clickpesa.com/third-parties/payments/{orderReference} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "status": "SUCCESS",
    "paymentReference": "<string>",
    "paymentPhoneNumber": "255712345678",
    "orderReference": "<string>",
    "collectedAmount": 123,
    "collectedCurrency": "<string>",
    "message": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "customer": {
      "customerName": "<string>",
      "customerPhoneNumber": "<string>",
      "customerEmail": "jsmith@example.com"
    },
    "clientId": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...

Path Parameters

orderReference
string
required

Unique identifier for the payment order

Response

Query Payments by order reference response

id
string

Unique transaction ID

status
enum<string>

Payment status

Available options:
SUCCESS,
SETTLED,
PROCESSING,
PENDING,
FAILED
paymentReference
string

Unique reference for the payment

paymentPhoneNumber
string

Sender's phone number (only available for USSD Push Payment requests and BillPay Payment requests)

Example:

"255712345678"

orderReference
string

Order reference associated with the payment

collectedAmount
integer

Amount collected

collectedCurrency
string

Currency in which payment was collected

message
string

Message describing payment status

updatedAt
string<date-time>

Timestamp when payment was last updated

createdAt
string<date-time>

Timestamp when payment was created

customer
object
clientId
string

Application Client ID associated with the payment